function AMIT2CTC(cfg)
%% reading parameters
par=jsondecode(fileread(cfg));

%% read an input data 
ROI_data=readtable(par.ROI_file,...
        'ReadRowNames',0,'ReadVariableNames',1,'Delimiter','\t');
tracks_data=readtable(par.tracks_file,...
        'ReadRowNames',0,'ReadVariableNames',1,'Delimiter','\t');
%% ROI data processing

 ROI_data.x=ROI_data.x+1;% transform to matlab array indexing
 ROI_data.y=ROI_data.y+1;
 ROI_data.t=ROI_data.t+1;
 maxt=max(ROI_data.t);
 
 ROI_data.xyt=sub2ind([par.img_size' maxt],...
                ROI_data.x,ROI_data.y,ROI_data.t);
 
 L=zeros([par.img_size' maxt],'uint16');
 L(ROI_data.xyt)=ROI_data.ID;
 
%  imshow(label2rgb(L(:,:,1),'jet',[0.5 0.5 0.5]))

%% track data processing
% L -a unique label of the track (label of markers, 16-bit positive value)
% B -a zero-based temporal index of the frame in which the track begins
% E -a zero-based temporal index of the frame in which the track ends
% P -label of the parent track (0 is used when no parent is define

id_list=tabulate([tracks_data.ID]);
id_list=id_list(id_list(:,2)>0,1);
AG=zeros([length(id_list) 4],'uint16');
AG(:,1)=id_list(:,1);

for i=1:length(AG)
    idx=find(tracks_data.ID==AG(i,1));
    AG(i,2)=min(tracks_data.t(idx));
    AG(i,3)=max(tracks_data.t(idx));
end

%% write an output
if ~exist(par.out_path,'dir')
    mkdir(par.out_path)
end

fid = fopen(strcat(par.out_path,'res_track.txt'),'w');
fprintf(fid,'%u %u %u %u\n',AG');
fclose(fid);

%%
for i=1:maxt
    suffix=num2str(i-1);
    fname=[par.img_name(1:length(par.img_name)-length(suffix))...
        suffix...
        '.tif'];
    imwrite(L(:,:,i),[par.out_path fname],'tiff','Compression','lzw');
%     sprintf(fname)
end

end