#!/bin/bash
mkdir -p ../Fluo-N2DH-GOWT1/tmp/


# Run the segmentation routine AMITSegmentation with config files.
# Prerequisities: OpenMP 5.0.1, OpenCV 3.2 or higher, JSON libraries by Niels Lohmann, libtiff5-dev, libpng-dev.

./AMITSegmentation --config ./cfg/01_fluo_seg.json > ../Fluo-N2DH-GOWT1/tmp/01_seg.log

# Run the tracking routine AMITTracking with config files.
# Prerequisities: OpenMP 5.0.1, OpenCV 3.2 or higher, JSON libraries by Niels Lohmann, libtiff5-dev, libpng-dev.

./AMITTracking --config ./cfg/01_fluo_tra.json > ../Fluo-N2DH-GOWT1/tmp/01_tra.log

# Run the routine for translation results of AMITTracking to Cell Tracking Challenge format
# Prerequisities: MATLAB 2019a (x64), JDK 12

matlab -batch "AMIT2CTC('./cfg/01_fluo_amin2ctc.json');exit"

rm -R ../Fluo-N2DH-GOWT1/tmp/


