#!/bin/bash
mkdir -p ../PhC-C2DH-U373/tmp/


# Run the segmentation routine AMITSegmentation with config files.
# Prerequisities: OpenMP 5.0.1, OpenCV 3.2 or higher, JSON libraries by Niels Lohmann, libtiff5-dev, libpng-dev.

./AMITSegmentation --config ./cfg/02_phc_seg.json > ../PhC-C2DH-U373/tmp/02_seg.log

# Run the tracking routine AMITTracking with config files.
# Prerequisities: OpenMP 5.0.1, OpenCV 3.2 or higher, JSON libraries by Niels Lohmann, libtiff5-dev, libpng-dev.

./AMITTracking --config ./cfg/02_phc_tra.json > ../PhC-C2DH-U373/tmp/02_tra.log

# Run the routine for translation results of AMITTracking to Cell Tracking Challenge format
# Prerequisities: MATLAB 2019a (x64), JDK 12

matlab -batch "AMIT2CTC('./cfg/02_phc_amin2ctc.json');exit"

rm -R ../PhC-C2DH-U373/tmp/


